petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSegBufferCreate

create segmented buffer

### Synopsis

    PetscErrorCode PetscSegBufferCreate(size_t unitbytes,size_t expected,PetscSegBuffer *seg)

Not Collective Many br

### Input Arguments

| unitbytes | - number of bytes that each entry will contain Many br
| expected | - expected/typical number of entries Many br

### Output Argument

seg -segmented buffer object Many br

Many br

### See Also

PetscSegBufferGet(), PetscSegBufferExtractAlloc(), PetscSegBufferExtractTo(), PetscSegBufferExtractInPlace(), PetscSegBufferDestroy()

Level:developer
Location:src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages